Appliance Logging Liagent LogCollection get

Appliance Logging Liagent LogCollection get

Returns the loginsight agent configurations.

This operation was added in vSphere API 9.1.0.0.

Request
URI
GET
https://{host}/api/appliance/logging/liagent/log-collection
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Information about the configuration used by loginsight agent to stream the logs to the loginsight server. If not configured, it will return an empty object.

Returns Appliance Logging Liagent LogCollection Info of type(s) application/json
{
    "configurations": [
        {
            "enabled": false,
            "unitid": "string",
            "unittype": "string",
            "status": "string",
            "message": "string",
            "content": "string"
        }
    ]
}
array of object
configurations
Required

Defines the list of loginsight agent configurations.

This property was added in vSphere API 9.1.0.0.


401

if the session is not authenticated

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


403

if the user is not authorized.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


500

if there is any internal error during the execution of the operation.

Returns Appliance Logging Liagent LogCollection ServerError of type(s) application/json
{
    "configurations": [
        {
            "enabled": false,
            "unitid": "string",
            "unittype": "string",
            "status": "string",
            "message": "string",
            "content": "string"
        }
    ]
}
array of object
configurations
Required

Contains more information about the error happend during loginsight agent configurations.

This property was added in vSphere API 9.1.0.0.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/appliance/logging/liagent/log-collection